<?php
namespace Service;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\ORM\DateTime;

use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure; 

class PedidoService extends \Zeedhi\Framework\Controller\Simple {

    protected $connection;
    protected $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager, \Factory\PedidoFactory $pedidoFactory)  {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
        $this->pedidoFactory = $pedidoFactory;
    }
    
    /** 
     *  GETS
     */
     // QUERY DE PEDIDOS  
    
    public function config($response, $row){
        $this->pedidoFactory->config($response, $row);
    }
    
    public function connect($response, $row){
        $this->pedidoFactory->connect($response, $row);
    }
    
    public function buscarProduto($response, $row) {
        $this->pedidoFactory->buscarProduto($response, $row);
    }
    
    public function consumirProduto($response, $row) {
        $this->pedidoFactory->consumirProduto($response, $row);
    }
    
    public function registraCodExterno($response, $dataSet) {
        $this->pedidoFactory->registraCodExterno($response, $dataSet);
    }
    
    public function consultaProduto($response, $row) {
        $this->pedidoFactory->consultaProduto($response, $row);
    }
    
    public function produtoAtualizado($response, $dataSet) {
        $this->pedidoFactory->produtoAtualizado($response, $dataSet);
    }
    
    public function atualizaProduto($response, $dataSet) {
        $this->pedidoFactory->atualizaProduto($response, $dataSet);
    }
    
    public function consumirCliente($response, $row) {
        $this->pedidoFactory->consumirCliente($response, $row);
    }
    
    public function registraClienteExterno($response, $dataSet){
        $this->pedidoFactory->registraClienteExterno($response, $dataSet);
    } 
    
    public function consultaCliente($response, $row) {
        $this->pedidoFactory->consultaCliente($response, $row);
    }
    
    public function clienteAtualizado($response, $dataSet){
        $this->pedidoFactory->clienteAtualizado($response, $dataSet);
    }
    
    public function registraPedido($request, $response, $rows, $email_retorno1, $email_retorno2, $connection){
        $this->pedidoFactory->registraPedido($request, $response, $rows, $email_retorno1, $email_retorno2, $connection);
    }
    
    public function gravaTeste($request, $response, $rows, $email_retorno1, $email_retorno2, $connection){
        $this->pedidoFactory->gravaTeste($request, $response, $rows, $email_retorno1, $email_retorno2, $connection);
    }
    
    public function registraClienteAux($response, $rows){
        $this->pedidoFactory->registraClienteAux($response, $rows);
    }
    
    public function registraProdutoAux($response, $rows){
        $this->pedidoFactory->registraProdutoAux($response, $rows);
    }
    
    public function dbHandle($response, $row){
        $this->pedidoFactory->dbHandle($response, $row);
    }
    
    public function verificarPendenciaFinanceira($response, $row){
        $this->pedidoFactory->verificarPendenciaFinanceira($response, $row);
    }
    
    /** INÍCIO NOVOS METODOS PARA SELLENT **/
    
    public function getCliente($response, $row){
        $this->pedidoFactory->getCliente($response, $row);
    }
    
    public function getProduto($response, $row){
        $this->pedidoFactory->getProduto($response, $row);
    }
    
    public function getPedido($response, $row){
        $this->pedidoFactory->getPedido($response, $row);
    }
    
    public function getTransportadora($response, $row){
        $this->pedidoFactory->getTransportadora($response, $row);
    }
    
    public function getPreco($response, $row){
        $this->pedidoFactory->getPreco($response, $row);
    }
    
    public function getModalidade($response, $row){
        $this->pedidoFactory->getModalidade($response, $row);
    }
    
    /** FIM NOVOS METODOS PARA SELLENT **/
}